=== debian/changelog ===
lirc (0.8.0-9.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #399304
    - Galician. Closes: #407277
    - Swedish. Closes: #408289
    - Spanish. Closes: #393864

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Feb 2007 18:05:06 +0100

lirc (0.8.0-9.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #399304
    - Galician. Closes: #407277
    - Swedish. Closes: #408289
    - Spanish. Closes: #393864

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Feb 2007 18:01:54 +0100

lirc (0.8.0-9) unstable; urgency=low

  * Rebuilding to fix and erroneous depend. (Closes: #393316, #393297, #393351)

 -- Hector Garcia <hector@debian.org>  Mon, 16 Oct 2006 11:18:21 +0200

lirc (0.8.0-8) unstable; urgency=low

  [ Hector Garcia ]
  * Added 09_lirc_drivers_2.6.18_compatibility patch by Thomas Creutz
    (Closes: #387715)
  * Fixed 03_extra_files to support 2.6.17 and 2.6.18. By Thomas Creutz
    (Closes: #387715, #378395)
  * Updated cs.po by Miroslav Jezbera. (Closes: #389248)
  * Added patch to lirc_i2c from upstream CVS. By Jim Heck
  * Added patch 11_cheklib_fix to remove extra depends.
  * Updated po/es.po

  [ Amaya Rodrigo Sastre ]
  * Use debian/compat instead of DH_COMPAT=4 in debian/rules. Thanks Guillem
    Jover for pointing this out. 

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 10 Oct 2006 10:31:48 +0200

lirc (0.8.0-7) unstable; urgency=low

  * Update french debconf template (Closes: #384619)
  * Update logcheck file (Closes: #385025)

 -- Julien Danjou <acid@debian.org>  Mon, 18 Sep 2006 14:00:57 +0200

lirc (0.8.0-6) unstable; urgency=low

  [ Amaya Rodrigo Sastre ]
  * Added debconf templates translation update:
    - French (Closes: #370479).
    - Portuguese (Closes: #373129).
    - Dutch (Closes: #373828).
    - Japanese (Closes: #379937).
  * Use DH_COMPAT=4 in debian/rules. Got rid of debian/compat.
  * Added debconf-updatepo to de debian/rules clean target (Closes: 372911).

  [ Hector Garcia ]
  * Updated debian/patches/04_man_pages.dpatch

 -- Hector Garcia <hector@debian.org>  Fri, 18 Aug 2006 22:23:46 +0200

lirc (0.8.0-5) unstable; urgency=low

  [ Aurelien Jarno ]
  * debian/modules-source/debian/rules: simplify the call to
    dpkg-architecture.
  * debian/modules-source/debian/rules: take account of old dpkg-architecture
    output.  (Closes: #371050).
  * debian/control: Recommends dpkg-dev (>= 1.13). Drop the recommends on
    dpkg (>= 1.13).

  [ Julien Danjou ]
  * Don't create udev queue in init script (Closes: #370745)

 -- Julien Danjou <acid@debian.org>  Sun, 11 Jun 2006 14:18:07 +0200

lirc (0.8.0-4) unstable; urgency=low

  * Wait for devices to be up using udevsettle (Closes: #362217)
  * Updated dutch po-debconf translation (Closes: #370218)
  * Fix lintian warning about lirc and lirc-modules-source templates

 -- Julien Danjou <acid@debian.org>  Sun,  4 Jun 2006 16:44:13 +0200

lirc (0.8.0-3) unstable; urgency=low

  [ Cyril Lacoux ]
  * Added 08_min_code_repeat.dpatch, to allow proper interpretation of repeat
    signals for Creative RM-900 (Closes: #367521).

  [ Aurelien Jarno ]
  * Updated German debconf templates translation. Thanks to Franz Pletz
   (Closes: #367874).

 -- Julien Danjou <acid@debian.org>  Tue, 23 May 2006 11:01:08 +0200

lirc (0.8.0-2) unstable; urgency=low

  [ Julien Danjou ]
  * Include etc/lirc in lirc-modules-source.dirs (Closes: #342568)
  * Fix compilation for non-root users (Closes: #297170)

  [ Aurelien Jarno ]
  * Updated German debconf templates translation. Thanks to Franz Pletz
    (Closes: #367274).
  * Fixed typos in debconf templates (Closes: #312498).

 -- Julien Danjou <acid@debian.org>  Tue, 16 May 2006 12:45:59 +0200

lirc (0.8.0-1) experimental; urgency=low

  [ Hector Garcia ]
  * New upstream release. (Closes: #349641, #352573)
    - Added support up to for 2.6.15 kernels.
    - dvico driver is enabled by default (Closes: #348753)
  * Removed 02_aclocal.dpatch, not needed anymore.
  * Ported 04_man_pages to this release.
  * Ported 01_irxevent.dpatch to this release.
  * Changed with-drivers to userspace to build only the userspace drivers
    and keep only the kernel-space on the modules package.
  * Added 02_Makefile.in.dpatch, to prevent autotools from getting run on
    every build.
  * Recompile with driver=userspace (Closes: #352767, #351723, #348390)

  [ Julien Danjou ]
  * Add lirc_dev dependency to it87
  * Fix build-depends on libsvga1-dev rather than svgalibg1-dev
    (Closes: #350791)
  * Add lircrcd
  * Add a patch to allow some drivers to compile with linux 2.6.16
  * Add patches from Cyril Lacoux <clacoux@easter-eggs.com>
    - Compile all modules
    - Support 2 flavors for it87 (standard/digimatrix)
    - Improve debconf template
    - module-assistant works fine
    - Add missing files for gpio

  [ Aurelien Jarno ]
  * Added Swedish debconf templates translation. Thanks to Daniel Nylander
    (Closes: #339544)
  * Added Dutch debconf templates translation. Thanks to Kurt De Bree
    (Closes: #364033)
  * Enable lirc-svga on amd64.
  * Added support for non-Linux architectures:
    - Don't build-depends on libasound2-dev on hurd-i386, kfreebsd-i386 and
      kfreebsd-amd64.
    - Added 05_non_linux.dpatch, to make lirc buildable on non-Linux
      architectures.
    - Added 06_libtool_kfreebsd.dpatch, to update libtool for GNU/kFreeBSD.
  * Changed lirc-modules-source from Arch: any to Arch: all.

 -- Julien Danjou <acid@debian.org>  Wed, 10 May 2006 13:40:57 +0200

lirc (0.7.2-2) unstable; urgency=low

  * Ready for unstable.

 -- Hector Garcia <hector@debian.org>  Sun, 15 Jan 2006 03:58:59 +0100

lirc (0.7.2-1) experimental; urgency=low

  * New upstream release. (Closes: #310133)
    - support for KeySym and KeyCode in key definition
    - updated udev support for 2.6.13 kernels

