=== debian/modules-source/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

VERS = $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)

# KSRC is the location of the kernel source. This is the default value,
# when make-kpkg is used it will supply to real value
KSRC            = /usr/src/linux

# KDREV is the package-revision, as given to make-kpkg by the user.
# Just put a simply default value in here which we use when we test
# the packagebuilding without make-kpkg
KDREV           = "Custom.1.00"

# Separate the epoch from the normal revision number in KDREV
# for use with dh_gencontrol
KDREV_EPOCH = $(shell echo $(KDREV) | sed -ne '1s/\([^:]*:\)\?\(.*\)/\1/p')
KDREV_REV   = $(shell echo $(KDREV) | sed -ne '1s/\([^:]*:\)\?\(.*\)/\2/p')

# Now we need to get the kernel-version somehow
KVERS=`sed -n -e '/UTS_RELEASE/s/^[^"]*"\([^"]*\)".*$$/\1/p' $(KSRC)/include/linux/version.h`

KARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
ifeq ($(KARCH),)
  KARCH := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(KARCH),x86_64)
    KARCH := amd64
  endif
endif

SED_SCRIPT=s!\$$KVERS!$(KVERS)!g; \
       s!\$$KSRC!$(KSRC)!; \
       s!\$$KARCH!$(KARCH)!; \
       s!\$$KEMAIL!$(KEMAIL)!; \
       s!\$$KMAINT!$(KMAINT)!; \
       s!\$$KDREV!$(KDREV)!; \
       s!\$$DEBDATE!$(shell date +"%a, %d %b %Y %H:%M:%S %z")!

debian/control: debian/control.in
	sed -e "$(SED_SCRIPT)" debian/control.in > $@

.PHONY: debian/control


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: debian/control configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) debconf
	#/usr/bin/docbook-to-man debian/lirc-modules.sgml > lirc-modules.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

	rm -f debian/control

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/lirc-modules.
	$(MAKE) install prefix=$(CURDIR)/debian/lirc-modules-$(KVERS)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installmodules
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol -- -v$(KDREV_EPOCH)$(VERS)+$(KDREV_REV)
	dh_md5sums
	dh_builddeb --destdir=$(KSRC)/..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

binary-modules: binary
kdist_image: debian/rules
	$(ROOT_CMD) $(MAKE) $(MFLAGS) -f debian/rules binary-modules
	$(ROOT_CMD) $(MAKE) $(MFLAGS) -f debian/rules clean
kdist_clean: debian/control
	$(ROOT_CMD) $(MAKE) $(MFLAGS) -f debian/rules clean
kdist_configure:
#	Nothing to do when configured.


.PHONY: binary-modules kdist_image
